#################
# Test goal: Test surface depth input parameter and field dependency in formula.
# Author: David Flanderka
# Source for reference: qualitative

flow123d_version: 3.1.0
problem: !Coupling_Sequential
  description: Tests correct calculation of surface depth and field dependency. 
  mesh:
    mesh_file: ../00_mesh/big_cube_nc.msh
  # steady velocity field, with velocity v:0.1
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
    input_fields:
      - region: 3d
        conductivity: 1
        sigma: !FieldFormula
          value: d
          surface_region: .3d_top
      - region: .BOUNDARY
        bc_type: dirichlet
        bc_pressure: 1
    n_schurs: 2
    output:
      fields:
        - pressure_p0
        - velocity_p0
        - sigma
    output_stream:
      file: ./test15.pvd
      format: !vtk
        variant: ascii
  solute_equation: !Coupling_OperatorSplitting
    transport: !Solute_AdvectionDiffusion_DG
      input_fields:
        - region: .BOUNDARY
          bc_conc: 0.5
        - region: BULK
          init_conc: 0.5
          cross_section: 0.5 * x + y
          porosity: !FieldFormula
            #value: x + 2 * y
            value: 2 * cross_section
          dg_penalty: 10
      solver: !Petsc
        a_tol: 1.0e-12
        r_tol: 1.0e-12
      dg_variant: symmetric
    output_stream:
      file: ./transport15.pvd
      format: !vtk
        variant: ascii
      times:
        - step: 0.5
    substances:
      - A
    time:
      end_time: 2.0
      init_dt: 0.5
    balance:
      cumulative: true

################################################################################ 
# Benchmark test of surface depth on mesh file: 00_mesh/big_cube_nc23_mid.msh (60k elements)
# 
# Comparison of asemblation times for 4 cases: 
# 1) FieldConstant                       15.7455 s
# 2) FieldFormula with constant value    16.4623 s
# 3) FieldFormula with 'z' parameter     17.3983 s
# 4) FieldFormula with 'd' parameter     19.3787 s
# 
# Program build       Apr 11 2018, 20:09:53
# Program revision    5492fe3
################################################################################ 
